<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Artista</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
{% if error %}
    <h1 style="color:red;">{{error}}</h1>
{% endif %}

<form method="post">
    {% csrf_token %}
    <div class="w3-row w3-section">

        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa fa-user icon"></i></div>
        <div class="w3-rest">
            <label>Nombre</label>
            <input class="w3-input w3-border" name="nombre" type="text" placeholder="Nombre">
        </div>
    </div>
    <div class="w3-row w3-section">
        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa fa-user icon"></i></div>
        <div class="w3-rest">
            <label>Nombre Artistico</label>
            <input class="w3-input w3-border" name="nombre_artistico" type="text" placeholder="Nombre Artistico">
        </div>
    </div>
        <div class="w3-row w3-section">
        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa fa-user icon"></i></div>
        <div class="w3-rest">
            <label>Edad</label>
            <input class="w3-input w3-border" name="edad" type="number" placeholder="Debe ser mayor a 18">
        </div>
    </div>
        <div class="w3-row w3-section">
        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa "></i></div>
        <div class="w3-rest">
            <label>Tipo de Arte</label>
            <br>
            <select name="tipo_arte_id" style="width:200px" >
                {% for item in lista_arte %}
                <option value="{{ item.id }}"> {{ item.nombre }} </option>
                {% endfor %}
            </select>
        </div>
    </div>

    <p class="w3-center">
        <button class="w3-button w3-section w3-blue w3-ripple"> Enviar </button>
        <button class="w3-button w3-section w3-blue w3-ripple"><a href="/"> Volver </a></button>
    </p>
</form>


<br>
<table class="w3-table-all w3-centered">
    <thead> <!-- encabezado -->
        <tr> <!-- fila -->
            <td>Nombre</td><td>Nombre artistico</td><td>Edad</td><td>Arte</td><!-- columna -->
        </tr>
    </thead>
    <tbody> <!-- cuerpo tabla -->
        {% for item in lista_artista %} <!-- llave -->
        <tr>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.nombre }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.nombre_artistico }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.edad }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.tipo_arte.nombre }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <a href="cargarartista/{{ item.id }}" > Eliminar </a>
                </ul>
            </td>
        </tr>
        {% endfor %}
    </tbody>
</table>
</body>
</html>